﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.IO;
using VeryPDFSplitMergeCOM;

namespace CSharp_WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            System.Type VeryPDFSplitMergeCOMType = System.Type.GetTypeFromProgID("VeryPDFSplitMergeCOM.com");
            VeryPDFSplitMergeCOM.com VeryPDFSplitMergeCOM = (VeryPDFSplitMergeCOM.com)System.Activator.CreateInstance(VeryPDFSplitMergeCOMType);

            VeryPDFSplitMergeCOM.com_PDF_SetCode("XXXXXXXXXXXXXXXXXXXXXXXXXXX");

            string szPDFFile = appPath + "\\_out1.pdf";
            System.IO.File.Copy(appPath + "\\testcmd.pdf", szPDFFile, true);

            int nRet = 0;
            nRet = VeryPDFSplitMergeCOM.com_VeryAppendPDF(szPDFFile, appPath + "\\testcmd.pdf");
            nRet = VeryPDFSplitMergeCOM.com_VeryAppendPDF(szPDFFile, appPath + "\\testcmd.pdf");
            nRet = VeryPDFSplitMergeCOM.com_VeryAppendPDF(szPDFFile, appPath + "\\testcmd.pdf");
            nRet = VeryPDFSplitMergeCOM.com_VeryAppendPDF(szPDFFile, appPath + "\\testcmd.pdf");
            int nPageCount = VeryPDFSplitMergeCOM.com_VeryGetPDFFilePageCount(szPDFFile);
            MessageBox.Show(szPDFFile + " is contain " + nPageCount.ToString() + " pages.");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            System.Type VeryPDFSplitMergeCOMType = System.Type.GetTypeFromProgID("VeryPDFSplitMergeCOM.com");
            VeryPDFSplitMergeCOM.com VeryPDFSplitMergeCOM = (VeryPDFSplitMergeCOM.com)System.Activator.CreateInstance(VeryPDFSplitMergeCOMType);

            VeryPDFSplitMergeCOM.com_PDF_SetCode("XXXXXXXXXXXXXXXXXXXXXXXXXXX");

            string szPDFFile = appPath + "\\testcmd.pdf";
            VeryPDFSplitMergeCOM.com_VerySplitMergePDFEx(szPDFFile, "2-5", appPath + "\\_page2-5.pdf");
            int nPageCount = VeryPDFSplitMergeCOM.com_VeryGetPDFFilePageCount(appPath + "\\_page2-5.pdf");
            MessageBox.Show(appPath + "\\_page2-5.pdf" + " is contain " + nPageCount.ToString()+ " pages.");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            System.Type VeryPDFSplitMergeCOMType = System.Type.GetTypeFromProgID("VeryPDFSplitMergeCOM.com");
            VeryPDFSplitMergeCOM.com VeryPDFSplitMergeCOM = (VeryPDFSplitMergeCOM.com)System.Activator.CreateInstance(VeryPDFSplitMergeCOMType);

            VeryPDFSplitMergeCOM.com_PDF_SetCode("XXXXXXXXXXXXXXXXXXXXXXXXXXX");

            string strPDFFile = appPath + "\\example-fw9_1.pdf";
            strPDFFile += "|" + appPath + "\\example-fw9_2.pdf";

            string strOutFile = appPath + "\\out-UniqueFormNames.pdf";

            VeryPDFSplitMergeCOM.com_PDF_SetMode(1);
            VeryPDFSplitMergeCOM.com_PDF_MergePDFFiles2(strPDFFile, strOutFile, "UniqueForms=Y");
            int nPageCount = VeryPDFSplitMergeCOM.com_VeryGetPDFFilePageCount(strOutFile);
            MessageBox.Show(strPDFFile + "\r\n" + strOutFile + " contains " + nPageCount.ToString() + " pages.");
        }
    }
}
